List generations
curl --request GET \
--url https://app.selektable.com/v1/generations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.selektable.com/v1/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.selektable.com/v1/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "agen_abc123",
"object": "generation",
"imageUrl": "<string>",
"imageVariants": {
"list": {
"url": "<string>",
"width": 123
},
"card": {
"url": "<string>",
"width": 123
},
"detail": {
"url": "<string>",
"width": 123
}
},
"products": [
{
"productId": "<string>",
"productTitle": "<string>",
"imageUrl": "<string>",
"productUrl": "<string>",
"dimensions": {}
}
],
"hint": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>"
}
}Generations
List generations
Cursor-paginated, newest first.
GET
/
v1
/
generations
List generations
Cursor-paginated, newest first.
To page: take the last
id in data and pass it as starting_after on the next request. Keep paging while hasMore is true.
{
"object": "list",
"data": [ { "id": "agen_...", "object": "generation", "...": "..." } ],
"hasMore": true
}
Authorizations
Your Selektable API key (selektable_...), sent as Authorization: Bearer <key>.
Query Parameters
Required range:
1 <= x <= 100A generation id to page after.
Available options:
processing, complete, failed Was this page helpful?
⌘I